Get a Donor Address
curl --request GET \
--url https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 400101,
"donorId": 200234,
"isPrimary": true,
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"countryString": "United States",
"addressTypeDisplay": "Home"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"take": [
"take must be between 1 and 1000."
]
},
"instance": "/api/Donor/200234/address/400101"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/address/{addressId}"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"detail": "Donor 200234 was not found.",
"instance": "/api/Donor/200234/address/400101"
}Donor
Get a Donor Address
Returns a single address on a donor.
GET
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
address
/
{addressId}
Get a Donor Address
The response covers the street lines, city, state, postal code, and country, the
addressType, and whether it is the donor’s primary address.Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the donor the address belongs to.
The ID of the donor address.
Response
OK
Represents a donor address model.
The first line of the street address.
The second line of the street address, such as a unit or suite.
The city of the address.
The state or province.
The postal or ZIP code.
The country as free text, for countries outside the supported list.
The type of address, such as Home or Work.
Available options:
0, 1, 2, 3, 4, 5 The display name of the address type.
The unique identifier of the address.
The unique identifier of the donor.
Whether this is the primary address for the donor.
Last modified on July 28, 2026
Was this page helpful?